diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv6-routing-helper.h ns-3.44/src/internet/helper/ipv6-routing-helper.h
--- ns-3.43/src/internet/helper/ipv6-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv6-routing-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -21,9 +21,9 @@
 class Node;
 
 /**
- * \ingroup ipv6Helpers
+ * @ingroup ipv6Helpers
  *
- * \brief A factory to create ns3::Ipv6RoutingProtocol objects
+ * @brief A factory to create ns3::Ipv6RoutingProtocol objects
  *
  * For each new routing protocol created as a subclass of
  * ns3::Ipv6RoutingProtocol, you need to create a subclass of
@@ -35,13 +35,13 @@
 {
   public:
     /**
-     * \brief Destroy an Ipv6 Ipv6RoutingHelper.
+     * @brief Destroy an Ipv6 Ipv6RoutingHelper.
      */
     virtual ~Ipv6RoutingHelper();
 
     /**
-     * \brief virtual constructor
-     * \returns pointer to clone of this Ipv6RoutingHelper
+     * @brief virtual constructor
+     * @returns pointer to clone of this Ipv6RoutingHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -49,16 +49,16 @@
     virtual Ipv6RoutingHelper* Copy() const = 0;
 
     /**
-     * \param node the node within which the new routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node within which the new routing protocol will run
+     * @returns a newly-created routing protocol
      */
     virtual Ptr<Ipv6RoutingProtocol> Create(Ptr<Node> node) const = 0;
 
     /**
-     * \brief prints the routing tables of all nodes at a particular time.
-     * \param printTime the time at which the routing table is supposed to be printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of all nodes at a particular time.
+     * @param printTime the time at which the routing table is supposed to be printed.
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv6RoutingProtocol stored in the Ipv6 object, for all nodes at the
@@ -69,10 +69,10 @@
                                        Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the routing tables of all nodes at regular intervals specified by user.
-     * \param printInterval the time interval for which the routing table is supposed to be printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of all nodes at regular intervals specified by user.
+     * @param printInterval the time interval for which the routing table is supposed to be printed.
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv6RoutingProtocol stored in the Ipv6 object, for all nodes at the
@@ -83,11 +83,11 @@
                                           Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the routing tables of a node at a particular time.
-     * \param printTime the time at which the routing table is supposed to be printed.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node at a particular time.
+     * @param printTime the time at which the routing table is supposed to be printed.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv6RoutingProtocol stored in the Ipv6 object, for the selected node
@@ -99,11 +99,11 @@
                                     Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the routing tables of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the routing table is supposed to be printed.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the routing table is supposed to be printed.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv6RoutingProtocol stored in the Ipv6 object, for the selected node
@@ -115,15 +115,15 @@
                                        Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of all nodes at a particular time.
-     * \param printTime the time at which the neighbor cache is supposed to be printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the neighbor cache of all nodes at a particular time.
+     * @param printTime the time at which the neighbor cache is supposed to be printed.
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintNdiscCache() method of the
      * NdiscCache associated with each Ipv6Interface stored in the Ipv6 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        2001:db8::f00d:beef:cafe dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -133,16 +133,16 @@
                                         Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of all nodes at regular intervals specified by user.
-     * \param printInterval the time interval for which the neighbor cache is supposed to be
+     * @brief prints the neighbor cache of all nodes at regular intervals specified by user.
+     * @param printInterval the time interval for which the neighbor cache is supposed to be
      printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintNdiscCache() method of the
      * NdiscCache associated with each Ipv6Interface stored in the Ipv6 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        2001:db8::f00d:beef:cafe dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -152,16 +152,16 @@
                                            Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of a node at a particular time.
-     * \param printTime the time at which the neighbor cache is supposed to be printed.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the neighbor cache of a node at a particular time.
+     * @param printTime the time at which the neighbor cache is supposed to be printed.
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintNdiscCache() method of the
      * NdiscCache associated with each Ipv6Interface stored in the Ipv6 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        2001:db8::f00d:beef:cafe dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -172,17 +172,17 @@
                                      Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the neighbor cache is supposed to be
+     * @brief prints the neighbor cache of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the neighbor cache is supposed to be
      printed.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintNdiscCache() method of the
      * NdiscCache associated with each Ipv6Interface stored in the Ipv6 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        2001:db8::f00d:beef:cafe dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -193,23 +193,23 @@
                                         Time::Unit unit = Time::S);
 
     /**
-     * \brief Request a specified routing protocol &lt;T&gt; from Ipv6RoutingProtocol protocol
+     * @brief Request a specified routing protocol &lt;T&gt; from Ipv6RoutingProtocol protocol
      *
      * If protocol is Ipv6ListRouting, then protocol will be searched in the list,
      * otherwise a simple DynamicCast will be performed
      *
-     * \param protocol Smart pointer to Ipv6RoutingProtocol object
-     * \return a Smart Pointer to the requested protocol (zero if the protocol can't be found)
+     * @param protocol Smart pointer to Ipv6RoutingProtocol object
+     * @return a Smart Pointer to the requested protocol (zero if the protocol can't be found)
      */
     template <class T>
     static Ptr<T> GetRouting(Ptr<Ipv6RoutingProtocol> protocol);
 
   private:
     /**
-     * \brief prints the routing tables of a node.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv6RoutingProtocol stored in the Ipv6 object;
@@ -218,11 +218,11 @@
     static void Print(Ptr<Node> node, Ptr<OutputStreamWrapper> stream, Time::Unit unit);
 
     /**
-     * \brief prints the routing tables of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the routing table is supposed to be printed.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the routing table is supposed to be printed.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv6RoutingProtocol stored in the Ipv6 object, for the selected node
@@ -234,15 +234,15 @@
                            Time::Unit unit);
 
     /**
-     * \brief prints the neighbor cache of a node.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the neighbor cache of a node.
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintNdiscCache() method of the
      * NdiscCache associated with each Ipv6Interface stored in the Ipv6 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        2001:db8::f00d:beef:cafe dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -252,17 +252,17 @@
                                 Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the neighbor cache is supposed to be
+     * @brief prints the neighbor cache of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the neighbor cache is supposed to be
      printed.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintNdiscCache() method of the
      * NdiscCache associated with each Ipv6Interface stored in the Ipv6 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        2001:db8::f00d:beef:cafe dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv6-static-routing-helper.h ns-3.44/src/internet/helper/ipv6-static-routing-helper.h
--- ns-3.43/src/internet/helper/ipv6-static-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv6-static-routing-helper.h	2025-03-09 16:55:49.387371000 -0700
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup ipv6Helpers
+ * @ingroup ipv6Helpers
  *
- * \brief Helper class that adds ns3::Ipv6StaticRouting objects
+ * @brief Helper class that adds ns3::Ipv6StaticRouting objects
  *
  * This class is expected to be used in conjunction with
  * ns3::InternetStackHelper::SetRoutingHelper
@@ -33,14 +33,14 @@
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6StaticRoutingHelper();
 
     /**
-     * \brief Construct an Ipv6ListRoutingHelper from another previously
+     * @brief Construct an Ipv6ListRoutingHelper from another previously
      * initialized instance (Copy Constructor).
-     * \param o object to be copied
+     * @param o object to be copied
      */
     Ipv6StaticRoutingHelper(const Ipv6StaticRoutingHelper& o);
 
@@ -48,7 +48,7 @@
     Ipv6StaticRoutingHelper& operator=(const Ipv6StaticRoutingHelper&) = delete;
 
     /**
-     * \returns pointer to clone of this Ipv6StaticRoutingHelper
+     * @returns pointer to clone of this Ipv6StaticRoutingHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -56,29 +56,29 @@
     Ipv6StaticRoutingHelper* Copy() const override;
 
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      */
     Ptr<Ipv6RoutingProtocol> Create(Ptr<Node> node) const override;
 
     /**
-     * \brief Get Ipv6StaticRouting pointer from IPv6 stack.
-     * \param ipv6 Ipv6 pointer
-     * \return Ipv6StaticRouting pointer or 0 if not found
+     * @brief Get Ipv6StaticRouting pointer from IPv6 stack.
+     * @param ipv6 Ipv6 pointer
+     * @return Ipv6StaticRouting pointer or 0 if not found
      */
     Ptr<Ipv6StaticRouting> GetStaticRouting(Ptr<Ipv6> ipv6) const;
 
     /**
-     * \brief Add a multicast route to a node and net device using explicit
+     * @brief Add a multicast route to a node and net device using explicit
      * Ptr<Node> and Ptr<NetDevice>
      *
-     * \param n The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param input Input NetDevice.
-     * \param output Output NetDevices.
+     * @param n The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param input Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(Ptr<Node> n,
                            Ipv6Address source,
@@ -87,15 +87,15 @@
                            NetDeviceContainer output);
 
     /**
-     * \brief Add a multicast route to a node and device using a name string
+     * @brief Add a multicast route to a node and device using a name string
      * previously associated to the node using the Object Name Service and a
      * Ptr<NetDevice>
      *
-     * \param n The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param input Input NetDevice.
-     * \param output Output NetDevices.
+     * @param n The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param input Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(std::string n,
                            Ipv6Address source,
@@ -104,14 +104,14 @@
                            NetDeviceContainer output);
 
     /**
-     * \brief Add a multicast route to a node and device using a Ptr<Node> and a
+     * @brief Add a multicast route to a node and device using a Ptr<Node> and a
      * name string previously associated to the device using the Object Name Service.
      *
-     * \param n The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param inputName Input NetDevice.
-     * \param output Output NetDevices.
+     * @param n The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param inputName Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(Ptr<Node> n,
                            Ipv6Address source,
@@ -120,15 +120,15 @@
                            NetDeviceContainer output);
 
     /**
-     * \brief Add a multicast route to a node and device using name strings
+     * @brief Add a multicast route to a node and device using name strings
      * previously associated to both the node and device using the Object Name
      * Service.
      *
-     * \param nName The node.
-     * \param source Source address.
-     * \param group Multicast group.
-     * \param inputName Input NetDevice.
-     * \param output Output NetDevices.
+     * @param nName The node.
+     * @param source Source address.
+     * @param group Multicast group.
+     * @param inputName Input NetDevice.
+     * @param output Output NetDevices.
      */
     void AddMulticastRoute(std::string nName,
                            Ipv6Address source,
@@ -138,7 +138,7 @@
 
 #if 0
   /**
-   * \brief Add a default route to the static routing protocol to forward
+   * @brief Add a default route to the static routing protocol to forward
    *        packets out a particular interface
    */
   void SetDefaultMulticastRoute (Ptr<Node> n, Ptr<NetDevice> nd);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/neighbor-cache-helper.h ns-3.44/src/internet/helper/neighbor-cache-helper.h
--- ns-3.43/src/internet/helper/neighbor-cache-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/neighbor-cache-helper.h	2025-03-09 16:55:49.387371000 -0700
@@ -29,7 +29,7 @@
 {
 
 /**
- * \ingroup internet
+ * @ingroup internet
  *
  * @brief A helper class to populate neighbor cache.
  *
@@ -46,122 +46,122 @@
     ~NeighborCacheHelper();
 
     /**
-     * \brief Populate neighbor ARP and NDISC caches for all devices.
+     * @brief Populate neighbor ARP and NDISC caches for all devices.
      * This method walks the global ChannelList.
      */
     void PopulateNeighborCache();
 
     /**
-     * \brief Populate neighbor ARP and NDISC caches for all devices in the given
+     * @brief Populate neighbor ARP and NDISC caches for all devices in the given
      * Channel.
-     * \param channel the Channel to process
+     * @param channel the Channel to process
      */
     void PopulateNeighborCache(Ptr<Channel> channel) const;
 
     /**
-     * \brief Populate neighbor ARP and NDISC caches for all devices in the given
+     * @brief Populate neighbor ARP and NDISC caches for all devices in the given
      * NetDeviceContainer.
-     * \param c the NetDevice container to process
+     * @param c the NetDevice container to process
      */
     void PopulateNeighborCache(const NetDeviceContainer& c) const;
 
     /**
-     * \brief Populate neighbor ARP caches for all IPv4 interfaces in the given
+     * @brief Populate neighbor ARP caches for all IPv4 interfaces in the given
      * Ipv4InterfaceContainer.
-     * \param c the Ipv4InterfaceContainer to process
+     * @param c the Ipv4InterfaceContainer to process
      */
     void PopulateNeighborCache(const Ipv4InterfaceContainer& c) const;
 
     /**
-     * \brief Populate neighbor NDISC caches for all IPv6 interfaces in the given
+     * @brief Populate neighbor NDISC caches for all IPv6 interfaces in the given
      * Ipv6InterfaceContainer.
-     * \param c the Ipv6InterfaceContainer to process
+     * @param c the Ipv6InterfaceContainer to process
      */
     void PopulateNeighborCache(const Ipv6InterfaceContainer& c) const;
 
     /**
-     * \brief Remove entries generated from NeighborCacheHelper from ARP cache and NDISC cache
+     * @brief Remove entries generated from NeighborCacheHelper from ARP cache and NDISC cache
      */
     void FlushAutoGenerated() const;
 
     /**
-     * \brief Enable/disable dynamic neighbor cache, auto-generated neighbor cache will update
+     * @brief Enable/disable dynamic neighbor cache, auto-generated neighbor cache will update
      * by IP addresses changed when dynamic neighbor cache enabled. User should ensure that
      * the NeighborCacheHelper object persists for the duration of the simulation when dynamic
      * neighbor cache is enabled.
-     * \param enable enable state
+     * @param enable enable state
      */
     void SetDynamicNeighborCache(bool enable);
 
   private:
     /**
-     * \brief Populate neighbor ARP entries for given IPv4 interface.
-     * \param ipv4Interface the Ipv4Interface to process
-     * \param neighborDeviceInterface the potential neighbor Ipv4Interface
+     * @brief Populate neighbor ARP entries for given IPv4 interface.
+     * @param ipv4Interface the Ipv4Interface to process
+     * @param neighborDeviceInterface the potential neighbor Ipv4Interface
      */
     void PopulateNeighborEntriesIpv4(Ptr<Ipv4Interface> ipv4Interface,
                                      Ptr<Ipv4Interface> neighborDeviceInterface) const;
 
     /**
-     * \brief Populate neighbor NDISC entries for given IPv6 interface.
-     * \param ipv6Interface the Ipv6Interface to process
-     * \param neighborDeviceInterface the potential neighbor Ipv6Interface
+     * @brief Populate neighbor NDISC entries for given IPv6 interface.
+     * @param ipv6Interface the Ipv6Interface to process
+     * @param neighborDeviceInterface the potential neighbor Ipv6Interface
      */
     void PopulateNeighborEntriesIpv6(Ptr<Ipv6Interface> ipv6Interface,
                                      Ptr<Ipv6Interface> neighborDeviceInterface) const;
 
     /**
-     * \brief Add an auto_generated entry to the ARP cache of an interface.
-     * \param netDeviceInterface the Ipv4Interface that ARP cache belongs to
-     * \param ipv4Address the IPv4 address will be added to the cache.
-     * \param macAddress the MAC address will be added to the cache.
+     * @brief Add an auto_generated entry to the ARP cache of an interface.
+     * @param netDeviceInterface the Ipv4Interface that ARP cache belongs to
+     * @param ipv4Address the IPv4 address will be added to the cache.
+     * @param macAddress the MAC address will be added to the cache.
      */
     void AddEntry(Ptr<Ipv4Interface> netDeviceInterface,
                   Ipv4Address ipv4Address,
                   Address macAddress) const;
 
     /**
-     * \brief Add an auto_generated entry to the NDISC cache of an interface.
-     * \param netDeviceInterface the Ipv6Interface that NDISC cache belongs to
-     * \param ipv6Address the IPv6 address will be added to the cache.
-     * \param macAddress the MAC address will be added to the cache.
+     * @brief Add an auto_generated entry to the NDISC cache of an interface.
+     * @param netDeviceInterface the Ipv6Interface that NDISC cache belongs to
+     * @param ipv6Address the IPv6 address will be added to the cache.
+     * @param macAddress the MAC address will be added to the cache.
      */
     void AddEntry(Ptr<Ipv6Interface> netDeviceInterface,
                   Ipv6Address ipv6Address,
                   Address macAddress) const;
 
     /**
-     * \brief Update neighbor caches when an address is removed from a Ipv4Interface with auto
+     * @brief Update neighbor caches when an address is removed from a Ipv4Interface with auto
      * generated neighbor cache.
-     * \param interface the Ipv4Interface that address removed from.
-     * \param ifAddr the removed IPv4 interface address.
+     * @param interface the Ipv4Interface that address removed from.
+     * @param ifAddr the removed IPv4 interface address.
      */
     void UpdateCacheByIpv4AddressRemoved(const Ptr<Ipv4Interface> interface,
                                          const Ipv4InterfaceAddress ifAddr) const;
 
     /**
-     * \brief Update neighbor caches when an address is added to a Ipv4Interface with auto generated
+     * @brief Update neighbor caches when an address is added to a Ipv4Interface with auto generated
      * neighbor cache.
-     * \param interface the Ipv4Interface that address added to.
-     * \param ifAddr the added IPv4 interface address.
+     * @param interface the Ipv4Interface that address added to.
+     * @param ifAddr the added IPv4 interface address.
      */
     void UpdateCacheByIpv4AddressAdded(const Ptr<Ipv4Interface> interface,
                                        const Ipv4InterfaceAddress ifAddr) const;
 
     /**
-     * \brief Update neighbor caches when an address is removed from a Ipv6Interface with auto
+     * @brief Update neighbor caches when an address is removed from a Ipv6Interface with auto
      * generated neighbor cache.
-     * \param interface the Ipv6Interface that address removed from.
-     * \param ifAddr the removed IPv6 interface address.
+     * @param interface the Ipv6Interface that address removed from.
+     * @param ifAddr the removed IPv6 interface address.
      */
     void UpdateCacheByIpv6AddressRemoved(const Ptr<Ipv6Interface> interface,
                                          const Ipv6InterfaceAddress ifAddr) const;
 
     /**
-     * \brief Update neighbor cache when an address is added to a Ipv6Interface with auto generated
+     * @brief Update neighbor cache when an address is added to a Ipv6Interface with auto generated
      * neighbor cache.
-     * \param interface the Ipv6Interface that address added to.
-     * \param ifAddr the added IPv6 interface address.
+     * @param interface the Ipv6Interface that address added to.
+     * @param ifAddr the added IPv6 interface address.
      */
     void UpdateCacheByIpv6AddressAdded(const Ptr<Ipv6Interface> interface,
                                        const Ipv6InterfaceAddress ifAddr) const;
